| Home | Libraries | People | FAQ | More

## Struct template max_assign_base

boost::numeric::functional::max_assign_base

## Synopsis

    // In header: <boost/accumulators/numeric/functional.hpp>

    template<typename Left, typename Right, typename EnableIf>
    struct max_assign_base : public std::binary_function< Left, Right, void > {

      // public member functions
      void operator()(Left &, Right &) const;
    };

## Description

### `max_assign_base` public member functions

1.     void operator()(Left & left, Right & right) const;